Bug 811392 - CVE-2012-1182 samba: Multiple heap-based buffer overflows in memory management based on NDR marshalling code output [fedora-all]
CVE-2012-1182 samba: Multiple heap-based buffer overflows in memory managemen...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
16
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
: Security, SecurityTracking
: 811543 (view as bug list)
Depends On:
Blocks: CVE-2012-1182
  Show dependency treegraph
 
Reported: 2012-04-10 17:35 EDT by Vincent Danen
Modified: 2012-04-21 23:27 EDT (History)
9 users (show)

See Also:
Fixed In Version: samba-3.5.14-73.fc15.1
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 17:34:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-04-10 17:35:42 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=804093

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2012-04-11 09:06:14 EDT
*** Bug 811543 has been marked as a duplicate of this bug. ***
Comment 2 Fedora Update System 2012-04-12 10:49:04 EDT
samba-3.6.4-82.fc17.1 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samba-3.6.4-82.fc17.1
Comment 3 Fedora Update System 2012-04-12 10:49:36 EDT
samba-3.6.4-82.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/samba-3.6.4-82.fc16
Comment 4 Fedora Update System 2012-04-12 10:50:38 EDT
samba-3.5.14-73.fc15.1 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/samba-3.5.14-73.fc15.1
Comment 5 Fedora Update System 2012-04-13 02:12:11 EDT
Package samba-3.6.4-82.fc17.1:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samba-3.6.4-82.fc17.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5793/samba-3.6.4-82.fc17.1
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-13 17:34:14 EDT
samba-3.6.4-82.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-18 19:09:15 EDT
samba-3.6.4-82.fc17.1 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-21 23:27:08 EDT
samba-3.5.14-73.fc15.1 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.